/**
* Official proxy code for iTender GPIO Communication
**/

#include <ArduinoJson.h>

const int BUFFER_SIZE = 256;
char buffer[BUFFER_SIZE];
int bufferIndex = 0;

void setup() {
  Serial.begin(115200);
}

void loop() {
  if (Serial.available() > 0) {
    char incomingByte = Serial.read();
    buffer[bufferIndex] = incomingByte;
    bufferIndex++;

    if (incomingByte == '\n') {
      buffer[bufferIndex] = '\0';
      bufferIndex = 0;

      StaticJsonDocument<200> doc;
      DeserializationError error = deserializeJson(doc, buffer);
      if (error) {
        Serial.print(F("deserializeJson() failed: "));
        Serial.println(error.c_str());
        return;
      }

      // Do something with the deserialized JSON object
      int value = doc["value"];
      Serial.println(value);
    }
  }
}

